From 7357632eab1846f1a686967cad7315f76894bd98 Mon Sep 17 00:00:00 2001
From: Melanie Plageman <melanieplageman@gmail.com>
Date: Thu, 8 Aug 2024 20:16:47 -0400
Subject: [PATCH v1] Clearly link contributors pages

Update the Contributors list page to link to the "Recognized
Contributors" policy page and the Contributors Committee governance
page.

Also add an explicit section on nominating new contributors to the
recognized contributors policy page.
---
 templates/contributors/list.html              |  9 ++++--
 .../pages/about/policies/contributors.html    | 28 +++++++++++++------
 2 files changed, 26 insertions(+), 11 deletions(-)

diff --git a/templates/contributors/list.html b/templates/contributors/list.html
index 7b0c6f2d..f2e87d32 100644
--- a/templates/contributors/list.html
+++ b/templates/contributors/list.html
@@ -5,8 +5,13 @@
 <h1>Contributor Profiles <i class="fa fa-users"></i></h1>
 <p>These are the fine people that make PostgreSQL what it is today!</p>
 
-<p>To suggest additions to the list, please email
-    <a href="mailto:contributors@postgresql.org">contributors@postgresql.org</a>.
+<p>To suggest additions to the list, please email the
+  <a href="about/governance/contributors/">Contributors Committee</a> at
+  <a href="mailto:contributors@postgresql.org">contributors@postgresql.org</a>.
+    See the <a href="/about/policies/contributors">Recognized Contributors</a>
+    policy for more information on becoming a recognized contributor.
+</p>
+<p>
     Existing contributors can update their information in their
     <a href="/account/profile/">user profile</a>.
 </p>
diff --git a/templates/pages/about/policies/contributors.html b/templates/pages/about/policies/contributors.html
index d948936b..3dae3da4 100644
--- a/templates/pages/about/policies/contributors.html
+++ b/templates/pages/about/policies/contributors.html
@@ -41,8 +41,9 @@
   period of time.
 </p>
 <ul>
-  <li>Hackers Emeritus - past Core Team members</li>
-  <li>Past Contributors - all past Contributors (Major or otherwise)</li>
+  <li><strong>Past Major Contributors</strong>: previous Major Contributors and
+    previous Core Team members</li>
+  <li><strong>Past Contributors</strong>: previous Contributors</li>
 </ul>
 
 <h2>Types of Contributions</h2>
@@ -75,16 +76,25 @@
       #postgresql IRC channel, Postgres slack channel, Stack Overflow
   </li>
 </ul>
+<p> If there is a type of contribution that you feel should be listed here or
+  expanded upon, email
+  <a href="mailto:contributors@postgresql.org">contributors@postgresql.org</a>.
+</p>
 
 
-<h2>Committee Governance</h2>
+<h2>Contributors Committee Governance</h2>
 <p>
-  The current method of choosing who qualifies as a Contributor is via
-  simple majority vote of those on the committee. The size and membership
-  of the Committee is self determined, but ratified by a simple majority
-  vote of the Core Team. Generally the goal is that there be a minimum of
-  three people, with no single company employing a majority of the
-  committee membership.
+  See the <a href="about/governance/contributors/">Contributors Committee</a>
+  team page for more information.
+</p>
+
+<h2>Nominating New Recognized Contributors</h2>
+<p>
+  If there is a PostgreSQL contributor who you think is making sustained
+  contributions of the type described here, email a description of their
+  contributions to
+  <a href="mailto:contributors@postgresql.org">contributors@postgresql.org</a>.
+
 </p>
 
 {%endblock%}
-- 
2.34.1

